Subject: Re: bug#2543: w32-shell-execute removes target from local URLs

From: Jason Rumney <[email-masked]>
Date: Tue, 03 Mar 2009 06:55:01 +0800

Marius Andersen wrote:
> The (Windows) function w32-shell-execute strips anchors from URLs to
> local files. For instance, given that the file C:/index.html exists, executing
>
>     (w32-shell-execute "open" "file:///C:/index.html#test")
>   

Anchors are not valid in file URLs, but it is not Emacs that is 
stripping it, as Emacs makes no attempt to decode the parameters that 
you supply.